so_timer_manager.hpp File Reference
`#include <restinio/asio_include.hpp>`
`#include <restinio/compiler_features.hpp>`
`#include <so_5/all.hpp>`

Go to the source code of this file.

## Classes

struct | restinio::so5::msg_check_timer_t
| Check timer. More...
class | restinio::so5::so_timer_manager_t
| Timer factory implementation using timers from SObjectizer. More...
class | restinio::so5::so_timer_manager_t::timer_guard_t
| Timer guard for async operations. More...
struct | restinio::so5::so_timer_manager_t::factory_t
class | restinio::so5::a_timeout_handler_t
| Agent that handles timeouts. More...

## Namespaces

namespace | restinio
namespace | restinio::so5

## Macros

#define | RESTINIO_USE_SO_5_5

## Macro Definition Documentation

## RESTINIO_USE_SO_5_5

#define RESTINIO_USE_SO_5_5

Definition at line 27 of file so_timer_manager.hpp.